New Search

Integer overflow in the Binary File Descriptor (BFD) library for gdb before 6.3 binutils elfutils and possibly other packages allows user-assisted attackers to execute arbitrary code via a crafted object file that specifies a large number of section headers leading to a heap-based buffer overflow.

oval:org.mitre.oval:def:9071

Integer overflow in the Binary File Descriptor (BFD) library for gdb before 6.3 binutils elfutils and possibly other packages allows user-assisted attackers to execute arbitrary code via a crafted object file that specifies a large number of section headers leading to a heap-based buffer overflow.

Family:
unix
Status:
ACCEPTED
Platform(s):
  • Oracle Linux 4
  • Red Hat Enterprise Linux 3
  • CentOS Linux 3
  • CentOS Linux 4
  • Red Hat Enterprise Linux 4
Class:
vulnerability
Reference(s):
  • CVE-2005-1704
Product(s):